darcs-2.8.4: a distributed, interactive, smart revision control system

Safe Haskell | None

Darcs.ProgressPatches

Synopsis

- progressRL :: String -> RL a x y -> RL a x y
- progressFL :: String -> FL a x y -> FL a x y
- progressRLShowTags :: String -> RL (PatchInfoAnd p) x y -> RL (PatchInfoAnd p) x y

# Documentation

progressRL :: String -> RL a x y -> RL a x y

Evaluate an `RL` list and report progress.

progressFL :: String -> FL a x y -> FL a x y

Evaluate an `FL` list and report progress.

progressRLShowTags :: String -> RL (PatchInfoAnd p) x y -> RL (PatchInfoAnd p) x y

Evaluate an `RL` list and report progress. In addition to printing the number of patches we got, show the name of the last tag we got.